> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List History



## OpenAPI

````yaml /openapi-v1.json get /api/v1/smart-sources/{smart_source_id}/history
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/smart-sources/{smart_source_id}/history:
    get:
      tags:
        - Smart Sources
      summary: List History
      operationId: core_api_v1_controllers_smart_sources_list_history
      parameters:
        - in: path
          name: smart_source_id
          schema:
            format: uuid
            title: Smart Source Id
            type: string
          required: true
        - in: query
          name: limit
          schema:
            default: 50
            title: Limit
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SmartSourceSyncHistorySchema'
                title: Response
                type: array
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    SmartSourceSyncHistorySchema:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        started_at:
          format: date-time
          title: Started At
          type: string
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        status:
          title: Status
          type: string
        rows_inserted:
          title: Rows Inserted
          type: integer
        rows_updated:
          title: Rows Updated
          type: integer
        rows_failed:
          title: Rows Failed
          type: integer
        rows_skipped:
          default: 0
          title: Rows Skipped
          type: integer
        error_message:
          title: Error Message
          type: string
      required:
        - id
        - started_at
        - completed_at
        - status
        - rows_inserted
        - rows_updated
        - rows_failed
        - error_message
      title: SmartSourceSyncHistorySchema
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````